/* 全ドライブのカレントディレクトリをセットする */

#include <iocslib.h>
#include <doslibm.h>
#include <direct.h>
#include "defines.h"
#include "adisk.h"

void AllSetDir(unchar cdirs[DRIVES][MAXDIR+2])
{
int i,j;
struct DPBPTR dpb;
	/* フロッピー用データ：-1は後で+1されるから */
	j=0x90-1;
	for (i=0;i<DRIVES;i++) {
		if (cdirs[i][0]!=0) {
			/* ドライブ情報取得 */
			if (GETDPB(i+1,&dpb)<0) continue; /* リムーバブルディスクは挿入されている時だけ */
			/* フロッピーは挿入されている時だけ */
			if (fd_id(dpb.id)) {
				j++;
				if ((B_DRVCHK(j<<8,0)&BIT1)==0) continue;
			}
			/* そのドライブのディレクトリを直接変更 */
			chdir(&cdirs[i][0]);
		}
	}
}
